Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 456137 - selinux barfes on new yum update (21 Jul 08) on gam_server
Summary: selinux barfes on new yum update (21 Jul 08) on gam_server
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 9
Hardware: x86_64
OS: Linux
low
urgent
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-21 17:25 UTC by Joel
Modified: 2008-11-17 20:35 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-11-17 20:35:45 UTC


Attachments (Terms of Use)
output of sealert -l b115b681-c98f-449d-9e5f-f2fc7123666a (deleted)
2008-07-21 18:04 UTC, Joel
no flags Details

Description Joel 2008-07-21 17:25:27 UTC
Description of problem:
with today's (21 Jul 2008) yum update, selinux has a cow regarding gam_server
and inotify. 

SELinux is preventing gam_server (unlabeled_t) "read" to inotify (inotifyfs_t).

SELinux suggests typing restorecon -v 'inotify' to fix.  There is no inotify? 
What is it talking about?  How about real messages that tell the exact path of
the resource?

Version-Release number of selected component (if applicable):

Policy RPM                    selinux-policy-3.3.1-78.fc9

How reproducible:

It reproduces itself about 5 times per second.


Steps to Reproduce:
1.  Watch stupid alert messages make your desktop unusable as they come several
times per second.
2.
3.
  
Actual results:

See above

Expected results:

System gets tested?  This is the second bad yum update in four days (last was
bad xulrunner update).

Additional info:

Comment 1 Joel 2008-07-21 18:04:38 UTC
Created attachment 312285 [details]
output of sealert -l b115b681-c98f-449d-9e5f-f2fc7123666a

Comment 2 Daniel Walsh 2008-07-24 11:56:48 UTC
Fixed in selinux-policy-3.3.1-79.fc9


Comment 3 Joel 2008-11-16 01:31:39 UTC
Can this be closed now?  I don't think it is a problem anymore for several months

Comment 4 Daniel Walsh 2008-11-17 20:35:45 UTC
If you confirm a fix, you can close the bug.


Note You need to log in before you can comment on or make changes to this bug.